# Run tests in check section
%bcond_without check

# https://github.com/chzyer/test
%global goipath         github.com/chzyer/test
%global commit          a1ea475d72b168a29f44221e0ad031a842642302

%gometa

%global common_description %{expand:
Golang test utility.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:        %mkrel 2
Summary:        Golang test utility
Group:          Development/Other
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch
BuildRequires:  golang(github.com/chzyer/logex)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles



%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0-2.mga9
+ Revision: 1815595
- Mageia 9 Mass Rebuild

* Fri Nov 19 2021 guillomovitch <guillomovitch> 0-1.mga9
+ Revision: 1757961
- rebuild for mageia 9

* Tue Aug 11 2020 pterjan <pterjan> 0-0.9.mga8
+ Revision: 1613443
- Switch to goprep/gocheck

* Wed Nov 21 2018 pterjan <pterjan> 0-0.8.20181120gita1ea475.20181120gita1ea475.mga7
+ Revision: 1332543
- imported package golang-github-chzyer-test


* Mon Nov 12 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0..20180314gita1ea475
- SPEC refresh

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 0-0.7.20180314gita1ea475
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.6.gita1ea475
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Mar 14 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.5.20180314gita1ea475
- Fix BuildRequires 

* Thu Mar 08 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.4.20180314gita1ea475
- Update with the new Go packaging

* Tue Feb 13 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.3.20160617gitbea8f08
- Added patch fixing erroneous number of arguments in Errorf function

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2.20160617gitbea8f08
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Sep 29 2017 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20160617gitbea8f08
- First package for Fedora

